NEWKEY(8)

NAME
newkey - create a new key in the publickey database

SYNOPSIS
/usr/sbin/yp/newkey -h <hostname>
/usr/sbin/yp/newkey -u <username>

DESCRIPTION
newkey is normally run by the network administrator on the NIS master machine in order to establish public keys for users and super-users on the network. These keys are needed for using secure RPC or secure NFS.

newkey will prompt for the login password of the given username and then create a new public/secret key pair in /etc/publickey encrypted with the login password of the given user.

Use of this program is not required: users may create their own keys using chkey (1).

OPTIONS

-u  username Create a new public key for the given username. Prompts for the network Information Service password of the given username.

-h  hostname Create a new public key for the super-user at the given hostname. Prompts for the root password of the given hostname.

SEE ALSO
keylogin(1), chkey(1), publickey(5), keyserv(8)